// *************************************************************************
// * CentOS Web Panel Automation                                           *
// * Copyright (c) WHMCSModule Network. All Rights Reserved.               *
// * Version: 2021.1                                                       *
// * Build Date: 17 March 2021                                             *
// *************************************************************************
// * Email: sales@whmcsmodule.net                                          *
// * Website: https://www.whmcsmodule.net                                  *
// *************************************************************************
$(document).ready(function(){
getLicenseInfo();
getLicenseInfoAdmin();
 });



function getLicenseInfo(){
  $("#custom-loader").show();
  WHMCS.http.jqClient.jsonPost({
  url: serviceURL,
  data: { subaction:'ajaxLicenseInfo', wisecp_order_id:wisecp_order_id, client:"client"},
  success: function(statusparsed){
  // console.log(statusparsed);
    if (statusparsed.status == 'active') {
$("#status").text(statusparsed.status).show();
} else {
$("#status").removeClass('status-field completed').addClass('status-field pending').text(statusparsed.status).show();
}

$("#domainname").text(statusparsed.domain).show();

    $("#custom-loader").hide();
  },
  warning: function() {
    vNotify.error({
      text:'Can not parse json response',
      title:'',
      fadeInDuration: 1000,
      fadeOutDuration: 1000,
      fadeInterval: 50,
      visibleDuration: 10000, // auto close after 5 seconds
      postHoverVisibleDuration: 500,
      position: "topRight", // topLeft, bottomLeft, bottomRight, center, topRight
      sticky: false, // is sticky
      showClose: true // show close button
    });
    $("#custom-loader").hide();
  },
});
};

const capitalize = (s) => {
  if (typeof s !== 'string') return ''
  return s.charAt(0).toUpperCase() + s.slice(1)
}

function getLicenseInfoAdmin(){
  $("#custom-loader").show();
  WHMCS.http.jqClient.jsonPost({
  url: serviceURL,
  data: { subaction:'ajaxLicenseInfo', wisecp_order_id:wisecp_order_id},
  success: function(statusparsed){
  console.log(statusparsed);
    if (statusparsed.status == 'active') {
$("#status").text(statusparsed.status).show();
} else {
$("#status").removeClass('status-field completed').addClass('status-field pending').text(statusparsed.status).show();
}
$("#product_name").text(statusparsed.product_name).show();
$("#duration").text(statusparsed.period_duration+" "+capitalize(statusparsed.period_type)).show();
$("#product_amount_f").text(statusparsed.product_amount_f).show();
$("#domainname").text(statusparsed.domain).show();
$("#creation_date").text(statusparsed.creation_date).show();
$("#due_date").text(statusparsed.due_date).show();

    $("#custom-loader").hide();
  },
  warning: function() {
    vNotify.error({
      text:'Can not parse json response',
      title:'',
      fadeInDuration: 1000,
      fadeOutDuration: 1000,
      fadeInterval: 50,
      visibleDuration: 10000, // auto close after 5 seconds
      postHoverVisibleDuration: 500,
      position: "topRight", // topLeft, bottomLeft, bottomRight, center, topRight
      sticky: false, // is sticky
      showClose: true // show close button
    });
    $("#custom-loader").hide();
  },
});
};

function DomainChange() {
$.confirm({
  type: "blue",
  title: 'Change Domain Name',
  content: "" +
"<form action=\'\' class=\'formName\'>" +
"<div class=\'form-group\'>" +
"<label>Domain/ Subdomain Name</label>" +
"<input type=\'text\' placeholder=\'Domain/Subdomain Name\' class=\'form-control\' id=\'domainname\' required />" +
"</div>" +
"</form>",
  escapeKey: "cancelAction",
  icon: "fa fa-question-circle",
  animation: "scale",
  closeAnimation: "scale",
  opacity: 0.5,
  backgroundDismiss: true,
  buttons: {
    confirm: {
      btnClass: "btn-success",
      text: "<i class=\'fa fa-check-circle\'></i> Confirm",
      action: function(){
        var host = this.$content.find("#domainname").val();
               if(!host) {
                 $.alert('Domain/Subdomain name Required');
                 return false;
               }
               $("#custom-loader").show();
        WHMCS.http.jqClient.jsonPost({
  url: serviceURL,
  data: { subaction:'ajaXDomainChange', serviceid:serviceid, wisecp_order_id:wisecp_order_id, domain:host },
  success: function(serveraction){
    console.log(serveraction);
  $("#custom-loader").hide();
  if(serveraction.status == 'Error'){
    vNotify.error({
    text:'An error occured during license domain change',
    title:'',
    fadeInDuration: 1000,
    fadeOutDuration: 1000,
    fadeInterval: 50,
    visibleDuration: 10000,
    postHoverVisibleDuration: 500,
    position: "topRight", // topLeft, bottomLeft, bottomRight, center, topRight
    sticky: false,
    showClose: true
  });
  } else {
    vNotify.success({
    text:'Action Completed Successfully',
    title:'',
    fadeInDuration: 1000,
    fadeOutDuration: 1000,
    fadeInterval: 50,
    visibleDuration: 10000,
    postHoverVisibleDuration: 500,
    position: "topRight", // topLeft, bottomLeft, bottomRight, center, topRight
    sticky: false,
    showClose: true
  });
  $("#custom-loader").hide();
  }
  },
 });
      }
    },
    cancelAction: {
      btnClass: "btn-danger",
      text: "<i class=\'fa fa-times-circle\'></i> Cancel",
      action: function(){

      }
    }
  }
});
};

function WiseCPDownload() {
$.confirm({
  type: "blue",
  title: 'Download WiseCP Module',
  content: "Are you sure to download the module?",
  escapeKey: "cancelAction",
  icon: "fa fa-question-circle",
  animation: "scale",
  closeAnimation: "scale",
  opacity: 0.5,
  backgroundDismiss: true,
  buttons: {
    confirm: {
      btnClass: "btn-success",
      text: "<i class=\'fa fa-check-circle\'></i> Confirm",
      action: function(){
               $("#custom-loader").show();
        WHMCS.http.jqClient.jsonPost({
  url: serviceURL,
  data: { subaction:'WiseCPDownload', wisecp_order_id:wisecp_order_id },
  success: function(serveraction){
    console.log(serveraction);
    window.location.href = serveraction;
  //  window.open(serveraction, '_blank');
  $("#custom-loader").hide();
  },
 });
      }
    },
    cancelAction: {
      btnClass: "btn-danger",
      text: "<i class=\'fa fa-times-circle\'></i> Cancel",
      action: function(){

      }
    }
  }
});
};
